import { Str, Uid, Bool } from 'pinia-orm/dist/decorators'
import ApiResource from '~/models/ApiResource'

export default class SubdomainAvailability extends ApiResource {
  static entity = 'subdomains/is_available'

  @Uid()
  declare id: number | string | null

  @Str(null)
  declare subdomain: string

  @Bool(false)
  declare available: boolean
}
